package com.zhongdao.jlr.business.service;


import com.util.Vo;
import com.zhongdao.jlr.business.vo.Contract;
import com.zhongdao.jlr.business.vo.Destination;
import com.zhongdao.jlr.business.vo.Enterprise;
import com.zhongdao.jlr.pojo.JLRUserContract;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

public interface SupplierService{

    /***
     *获取合同信息并分页展示
     * @param request
     * @return
     */
    Vo getContractInfo(HttpServletRequest request,String name,String id);

    /***
     * 获取指定的合同信息
     * @return
     */
    List<Contract> getAssignContract(String id);

    /***
     * 获取指定的目的地信息
     * @param id
     * @return
     */
    List<Destination> geAssignDestination(String id);

    /***
     * 获取指定的供应商信息
     * @param id
     * @return
     */
    List<Enterprise> geAssignEnterprise(String id);

    /***
     *获取供应商信息并分页展示
     * @param request
     * @return
     */
    Vo getEnterpriseInfo(HttpServletRequest request,String name,String id);

    /***
     *获取合同下的目的地信息并分页展示
     * @param request
     * @return
     */
    Vo getDestination(HttpServletRequest request,String name,String id);

    /***
     * 为用户指定合同
     * @return
     */
    boolean insertContractInfo(Integer id,int[] ids);

    /***
     * 为用户指定目的地
     * @return
     */
    boolean insertDestinationInfo(Integer id,int[] ids);

    /***
     * 为用户指定供应商
     * @return
     */
    boolean insertEnterpriseInfo(Integer id,int[] ids);

    /***
     * 删除指定的合同
     * @return
     */
    boolean deleteContractInfo(Integer id,int[] ids);

    /***
     * 删除指定的供应商
     * @return
     */
    boolean deleteEnterpriseInfo(Integer id,int[] ids);

    /***
     * 删除指定的目的地
     * @return
     */
    boolean deleteDestinationInfo(Integer id,int[] ids);

    /***
     * 获取合同信息
     * @param id
     * @return
     */
    List<JLRUserContract> getDestinationInfo(String id);
}
